org.eclipse.emf.cdo.transfer.spi.ui

## Class TransferUIProvider.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.transfer.spi.ui.TransferUIProvider.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing interface:
    TransferUIProvider

      public abstract static class TransferUIProvider.Factory
      extends Factory

  Creates `TransferUIProvider` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Factory(java.lang.String type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract TransferUIProvider` | `create(java.lang.String description)`
    `static TransferUIProvider` | `get(IManagedContainer container, java.lang.String type)`
    `static TransferUIProvider[]` | `getAll(IManagedContainer container)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          protected Factory(java.lang.String type)

  - ### Method Detail

    - #### create

          public abstract TransferUIProvider create(java.lang.String description)
                                             throws ProductCreationException

      Throws:
        `ProductCreationException`

    - #### get

          public static TransferUIProvider get(IManagedContainer container,
                                               java.lang.String type)

    - #### getAll

          public static TransferUIProvider[] getAll(IManagedContainer container)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html